Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class DistributionPointName

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.DistributionPointName

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class DistributionPointName
extends ASN1Object
implements ASN1Choice

The DistributionPointName object. DistributionPointName ::= CHOICE { fullName [0] GeneralNames, nameRelativeToCRLIssuer [1] RDN }

Field Summary
`static int` | `FULL_NAME`
`static int` | `NAME_RELATIVE_TO_CRL_ISSUER`

Constructor Summary
`DistributionPointName(ASN1TaggedObject obj)`
`DistributionPointName(GeneralNames name)`
`DistributionPointName(int type, ASN1Encodable name)`

Method Summary
`static DistributionPointName` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static DistributionPointName` | `getInstance(java.lang.Object obj)`
`ASN1Encodable` | `getName()` Return the tagged object inside the distribution point name.
`static DistributionPointName` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `getType()` Return the tag number applying to the underlying choice.
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FULL_NAME

    public static final int FULL_NAME

See Also:
  Constant Field Values

### NAME_RELATIVE_TO_CRL_ISSUER

    public static final int NAME_RELATIVE_TO_CRL_ISSUER

See Also:
  Constant Field Values

Constructor Detail

### DistributionPointName

    public DistributionPointName(int type,
                                 ASN1Encodable name)

### DistributionPointName

    public DistributionPointName(GeneralNames name)

### DistributionPointName

    public DistributionPointName(ASN1TaggedObject obj)

Method Detail

### getInstance

    public static DistributionPointName getInstance(java.lang.Object obj)

### getInstance

    public static DistributionPointName getInstance(ASN1TaggedObject taggedObject,
                                                    boolean declaredExplicit)

### getTagged

    public static DistributionPointName getTagged(ASN1TaggedObject taggedObject,
                                                  boolean declaredExplicit)

### getType

    public int getType()

  Return the tag number applying to the underlying choice.

  Returns:
    the tag number for this point name.

### getName

    public ASN1Encodable getName()

  Return the tagged object inside the distribution point name.

  Returns:
    the underlying choice item.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD